Disk Explorer Professional

Copyright © 1999-2005 Tomáš Jelínek

Aplikace slouží k vytvoření databáze všech vašich CD, DVD, disket či jiných výměnných medií, pevných disků i síťových disků nebo dokonce FTP serverů. Čte kompletně adresářovou strukturu jednotky, včetně struktury archívů (ZIP, RAR, ARJ, LZH, CAB, TAR/GZIP, ACE, JAR a dalších) a to i samorozbalovacích (EXE).

Aplikace dokonce umí automaticky vložit do databáze popisky ze souborů, jako jsou file_id.diz apod, z MP3, WMA, OGG či VQF souborů přečíst název a další informace (nyní je podporován ID3 TAG až do verze 2.4), přefiltrovat grafické soubory (jak bitmapy tak video) a vytvořit na ně náhled, zjistit informace o zvukových formátech a to i o modulech vytvořených trackery, ze spouštěcích souborů zijstit jméno, verzi a copyright, z dokumentů Microsoft Office zjistit užitečné informace a z HTML souborů zjistit název. K jakékoliv jednotce si můžete vytvořit svůj vlastní komentář.

V aplikaci je možné pracovat s jakýmikoliv daty ať to jsou to vaše stažené programy z internetu, CD časopisů, kolekce hudby (např. MP3, OGG, WAV) nebo grafické kolekce fotografií atp.

V databázi je pak možné vyhledávat soubory či složky aniž by byla media fyzicky přítomna v mechanice (v případě FTP serveru není třeba připojení k internetu) a to opravdu vysokou rychlostí - na průměrném počítači svůj soubor najdete rychleji než byste např. stačili zasunout CD do mechaniky. Můžete vyhledávat podle jakéhokoliv kritéria (velikost, datum, čas, atributy...), můžete prohledávat aplikací vygenerované komentáře k souborům apod.

Aplikace umí pracovat také s mnoha databázemi současně - můžete si jich otevřít najednou kolik je zapotřebí. Množství jednotek v databázi je neomezené. Pro aplikaci je naprosto normální pracovat se stovkami jednotek v databázi bez větších nároků na operační pamět či výkon procesoru.

Databáze i přes všechny tyto možnosti je velice malá. A pro případ, že chcete své databáze posílat kamarádům přes e-mail, Disk Explorer Professional nabízí i možnost jak databázi zmenšit na maximální možnou míru smazáním náhledů, komentářů apod.

Aplikace nabízí opravdu komfortní uživatelské prostředí velice podobné Windows Exploreru (Průzkumník), takže si její ovládání každý rychle osvojí.

Copyright © 2001-2005 Tomáš Jelínek. Veškerá práva vyhrazena.


Technické údaje o aplikaci

Doporučenou minimální konfigurací pro aplikaci Disk Explorer Professional je počítač s procesorem Intel Pentium nebo rychlejším. Aplikace pracuje ve všech nových 32bitových systémech Windows (Windows 95/98/ME/NT4/2000/XP). Pokud používáte Windows 95, je vhodné mít v systému nainstalován Internet Explorer verze 4.0 či vyšší. Tato aplikace totiž výrazně aktualizuje systémové knihovny a předejdete tak případným problémům s aplikací.

Doporučené grafické rozlišení je 1024x768 a je doporučeno, aby barevná hloubka aktuálního rozlišení měla více než 256 barev (čili HiColor = 15bit, 16bit, nebo ještě lépe TrueColor = 24bit, 32bit). K práci programu v systémech Windows 9x postačí 16MB RAM, v ostatních systémech 32MB.

Doplňkové soubory či aktualizace pro lepší funkčnost aplikace:

  • Je doporučena minimální verze knihovny COMCTL32.DLL 4.71. Aktualizaci můžete získat na této adrese: http://www.microsoft.com/msdownload/ieplatform/ie/comctrlx86.asp.
  • Pro práci Video filtru je zapotřebí rozšíření DirectX Media verze 6 nebo vyšší. Nejnovější verze je k dispozici na této adrese: http://www.microsoft.com/windowsmedia.
  • Nejnovější verzi Microsoft Internet Exploreru můžete získat na této adrese: http://www.microsoft.com/windows/ie/default.htm.
  • Aktualizaci pro HTML Help můžete získat na této adrese: http://msdn.microsoft.com/library/en-us/htmlhelp/html/hwMicrosoftHTMLHelpDownloads.asp.
  • Doplňující fonty do starých verzí Windows je možné stáhnout na této adrese: http://office.microsoft.com/downloads/9798/offeurofonts.aspx.


Licenční ujednání a záruční podmínky

Softwarová licenční smlouva na Disk Explorer Professional, verze 3

Toto je licenční smlouva mezi vámi a Tomášem Jelínkem. Tato licenční smlouva upravuje rozsah vašeho povoleného užívání produktu Disk Explorer Professional, verze 3.

POKUD NESOUHLASÍTE S PODMÍNKAMI TÉTO SMLOUVY, NEPOUŽÍVEJTE TENTO SOFTWARE. IHNED HO ODSTRAŇTE Z VAŠEHO POČÍTAČE.

Pokud souhlasíte s dále uvedenými podmínkami, je vám produkt k dispozici. Pokud máte jakékoliv dotazy ohledně této licenční smlouvy, kontaktujte nás laskavě e-mailem na support@tjelinek.com. Tím, že začnete tuto verzi Disk Explorer Professional užívat, vyjadřujete svůj souhlas s ustanoveními této licenční smlouvy a zavazujete se je dodržovat. Prosím pamatujte, že bez vzájemné smlouvy nejste oprávněni k přístupu a využití Disk Explorer Professional.

Tato licenční smlouva se vztahuje pouze na produkt Disk Explorer Professional, verze 3. Tomáš Jelínek si vyhrazuje právo poskytovat jakékoliv budoucí verze Disk Explorer Professional na základě změněných nebo zcela nových licenčních podmínek.

Copyright (c) 1999, 2000, 2001, 2002, 2003, 2004, 2005 Tomáš Jelínek. http://www.diskexplorerpro.com. Veškerá práva vyhrazena.

Omezení užití:

  1. Tento software jste oprávněni používat pro osobní nekomerční použití bez poplatku. Použití v komerčním, vzdělávacím nebo státním prostředí je zpoplatněno licenčním poplatkem, kde pro každý počítač nebo server, na kterém budete Disk Explorer Professional používat, je nutné zakoupit licenci. Servisní a další služby Tomáše Jelínka jsou k dispozici pouze po zaplacení licenčního poplatku.
  2. Nejste oprávněni Disk Explorer Professional šířit ani kopírovat bez předchozího písemného souhlasu Tomáše Jelínka.
  3. Zavazujete se neprovádět dekompilaci, desasemblaci ani zpětnou analýzu produktu.
  4. Potvrzujete, že nezískáváte touto licenční smlouvou žádná vlastnická práva k produktu. Veškerá práva k produktu, zejména práva k obchodnímu tajemství, ochranným známkám, patentům a autorským právům zůstávají vlastnictvím Tomáše Jelínka nebo třetích stran, od nichž Tomáš Jelínek obdržel licence na software nebo technologie. Veškeré kopie produktu, které jste obdržel nebo které jste si pořídil, zůstávají vlastnictvím Tomáše Jelínka.
  5. Nesmíte odstraňovat žádná upozornění o autorských právech, ochranné známky nebo upozornění týkající se jiných vlastnických práv, umístěná na produktu nebo jeho dokumentaci.

TENTO SOFTWARE SE POSKYTUJE "JAK STOJÍ A LEŽÍ", BEZ JAKÉKOLIV ZÁRUKY NA FUNKČNOST NEBO VHODNOST PRO LIBOVOLNÝ ÚČEL. V ŽÁDNÉM PŘÍPADĚ NENÍ TOMÁŠ JELÍNEK ODPOVĚDNÝ ZA JAKOUKOLIV ZTRÁTU DAT, OMEZENÍ POUŽITÍ NEBO ČINNOSTI. MAXIMÁLNÍ VÝŠE PŘÍPADNÉ NÁHRADY ŠKODY JE LIMITOVÁNA ČÁSTKOU 50,- KČ.


Co je nového v této verzi

  • v3.60.f06 (1.6.2005)
    • Disk Explorer Professional je nyní zdarma pro nekomerční použití! Více viz Licenční ujednání a záruční podmínky.
    • aktualizován Pictview/EXIF filtr
  • v3.60.06 (22.2.2005)
    • opravena chyba při práci s virtuálními jednotkami! V určitých případech mohla vést až k porušení databáze! Je silně doporučeno všechny virtuální jednotky vytvořené předchozími verzemi smazat a vytvořit znova!
    • vylepšen Pictview/EXIF filtr. Nově podporované formáty: Fuji, Nikon and Canon digital camera RAW format (*.RAF, *.NEF a *.CRW), Nicon digital camera video (*.MOV), Encapsulated Postscript (*.EPS a *.AI)
    • v okně "náhled na obrázek" se obrázek automaticky proporcionálně zmenšuje, nevejde-li se
    • vylepšen export do XML a HTML (již neexportuje nepodporované znaky)
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v3.60 (1.9.2004)
    • přidána podpora 7-Zip archivů
    • vylepšen Pictview/EXIF filtr
    • přidána podpora JPEG IPTC
    • vylepšen export do XML (výstup do UTF-8 charsetu)
    • vylepšeno/opraveno excludování složek při prozkoumávání jednotek
    • vylepšen Office filtr
    • rozdělovač hlavního okna upraven
    • přidána podpora PK4 archivů (Doom III)
    • opraveno: ne všechny soubory uvnitř archivů byly korektně přefiltrovány
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v3.50 (25.5.2004)
    • Přidána podpora CorelDraw! 12.0 *.CDR
    • Přidána podpora DirectX textur *.DDS and *.DTX
    • Přidána podpora nového typu CMYK JPEG
    • Opraveno načítání 2-bit Amiga IFF/ILBM obrázků
    • Opraven defiltering PNG souborů
    • Upravena aktualizace jednotek
    • Opravena vzácně se vyskytující chyba ve čtečce CAB souborů
    • Opraveny drobné chybičky
    • Přidána drobná vylepšení
  • v3.40 (26.2.2004)
    • vylepšen office filtr - podpora DWG (AutoCad) náhledů
    • vylepšen obrázkový (pictview) filtr - otočené náhledy, více informací u souborů
    • vylepšena podpora EXIF JPEG
    • opravena chyba ve vyhledávacím okně při hledání v komentářích
    • opravena chyba při vyhledávání ve zvolených kategoriích
    • vylepšeno načítání/ukládání vyhledávacích profilů
    • dialogové okno kategorií vylepšeno
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v3.33 (1.1.2004)
    • vylepšen font filtr
    • vylepšen obrázkový (pictview) filtr (nové formáty ZNO, MNG)
    • vylepšena podpora EXIF JPEG
    • vylepšen video filtr
    • vylepšen mp3 filtr
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v3.30 (1.11.2003)
    • opravena závažná chyby při aktualizaci jednotky
    • vylepšena podpora freedb
    • nový filtr: preview fontů
    • vylepšen ogg filtr
    • vylepšen wav filtr
    • vylepšen obrázkový (pictview) filtr
    • vylepšena podpora EXIF JPEG
    • nyní je možné třídit také podle komentářů
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v3.20 (1.10.2003)
    • podpora EXIF JPEG
    • opravy drobných chyb a vylepšení v obrázkovém filtru (pictview): nově ANI, PSP a CLK soubory
    • dialogové okno hledání: nově hledání podobných slov (zaškrtněte '~')
    • dialogové okno hledání: nově hledání duplicitních souborů
    • nově se ukládá také sériové číslo jednotky a typ souborového systému
    • aplikace nyní kontroluje, zda právě vkládaná jednotka již není v databázi, případně nabídne aktualizaci
    • profily rozšířeny o možnost zahrnovat/nezahrnovat také složky
    • profily rozšířeny o možnost specifikovat soubory, které si přejete či nepřejete filtrovat
    • opravena chyba v .tar.bz2
    • možnost nastavení vlastností proxy serveru pro přístup do internetové freedb
    • nové argumenty příkazové řádky /A, /U, /D (vice viz druhý parametr /?)
    • nové logo, autor Manolis Gerasidis (gerasidi@yahoo.co.uk)
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v3.10 (24.4.2003)
    • při aktualizaci jednotky se nyní aktualizují i kategorie
    • podpora tooltipů (informace o souborech v "bublině", včetně kategorií ve kterých se nachází)
    • Office filtr nově podporuje Windows Metafiles WMF a EMF
    • nový WMA filtr -> info z Windows Media Audio souborů
    • nový VQF filtr -> info z Yamaha VQF souborů
    • podpora samorozbalovacích CAB archivů
    • podpora drag & drop (nyní je možné vložit do otevřené databáze jakoukoliv složku či jednotku nebo přetahovat jednotky mezi otevřenými databázemi)
    • vylepšen PictView filter (vylepšena podpora TIFF, GIF, BMP, podpora nového formátu YCCK JPEG)
    • podpora souborů s LZ kompresí (komprimovány utilitou COMPRESS.EXE od firmy Microsoft)
    • opravena chybka v podpoře ISO 9660 formátu
    • opravena chybka v prozkoumávání FTP serverů
    • opravena chybka v aktualizování jednotky
    • opravena chyba prohledávání zvolených kategorií
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v3.0 (22.1.2003)
    • obrázkový filtr rozšířen o podporu formátu Wireless Bitmap (WBMP), Encapsulated Postscript (EPS, EPI, EPT) a EPOC Psion Multiple Bitmap (MBM)
    • rozšířena schopnost Video filtrů o vytváření více náhledů z více částí videa
    • office filtr rozšířen o podporu formátu SDA (StarOffice Drawing)
    • opravena chyba při mazání kategorie v dialogovém okně stromu kategorií
    • doplněna dokumentace
    • opraveno mnoho chyb
    • přidáno mnoho vylepšení
  • v3.0 BETA 2 (11.12.2002)
    • opravena chyba při aktualizaci jednotky
    • upraveno vyhledávání souborů v kategoriích
    • opravena čtečka RPM
    • upraveno filtrování a zahrnovaní obsahů souborů v archivech
    • opraveno třídění souborů v archivech
    • po přejmenování jednotky se změna projeví i v kategoriích
    • opraveno počítání souborů s obsahem v informačním okně o jednotce
    • opraveno špatné uvolňování paměti při mazání z kategorie
    • upravena správa kategorií byla-li databáze v read-only režimu
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v3.0 BETA 1 (18.11.2002)
    • možnost rozdělení databáze do kategorií !!
    • aplikace je nyní schopna zpracovávat (tzn. filtrovat, zahrnovat obsahy, číst adresářovou strukturu..) soubory či archívy také uvnitř jiných archívů !
    • rozšířena podpora komprimovaných archívů. Nyní jsou podporovány tyto typy archivů: ACE, ARJ, BZIP2, CAB, CPIO, GZIP, ISO 9660, JAR, LZH, RAR, RPM, TAR, Z, ZIP, EXPERIMENTÁLNĚ CHM.
    • vyhledávací okno je nyní modeless a je vylepšeno o nové funkce - uložení + načtení vyhledávacího profilu, export nalezených souborů do CSV nebo do kategorie a možnost prohledávat také obsahy souborů zahrnuté v databázi !
    • rapidně urychlena práce se seznamem souborů (pravá část aplikace). Nyní naplňení seznamu o cca 200 000 souborech trvá zanedbatelný okamžik.
    • rozšířen speciální export o možnost exportu databáze do HTML či XML!
    • přidán QuickTime filtr - náhledy z QuickTime videí - MOV, QT apod !!
    • přidán OGG Vorbis filtr - informace o hudebních OGG souborech.
    • přidán DED filtr - informace o databázových souborech Disk Explorer Professional
    • vylepšen Obrázkový filtr (pictview) - podpora nového typu progressive JPEG, náhledy z CDR verze 10 a 11 (Corel Draw) a další vylepšení.
    • urychlen Obrázkový filtr (pictview) - nyní umí zpracovávat také soubory obsahující náhledy, což výrazně urychlí filtrování hlavně velkých souborů (mají-li náhledy dostatečnou velikost).
    • nově podpora FPX formátu a možnost vytažení náhledu z Office dokumentů (office filtr).
    • vylepšen MP3 filtr při zpracování ID3 TAGu verze 2.xx (všechny TAGy až do verze 2.4 podporovány)
    • přidáno okno obsahující náhled na obrázek
    • možnost odeslat otevřenou databázi e-mailem přímo z aplikace
    • přidána ochrana proti zacyklení při procházení cyklickými složkami na FTP serveru
    • při prozkoumávání FTP serveru je možné použít pasivní režim (nutné u přísných firewallů)
    • opravena chyba při zjišťování nové verze aplikace na internetu
    • graf při vkládání nové jednotky do databáze (vždy vůči celkovému obsazenému prostoru na prozkoumávaném disku)
    • nyní se ukládá posl. nastavení sloupců v seznamech souborů
    • možnost rozbalení komplet celého stromu najednou
    • možnost otvírat položky seznamu na jedno kliknutí (point to select)
    • možnost nezobrazovat soubory s hodnocením 5
    • možnost přenastavení složky dočasných souborů
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v2.70 (18.8.2002)
    • přidána možnost prohledávat také obsahy souborů zahrnuté v databázi
    • přidán QuickTime filtr - náhledy z QuickTime videí - MOV, QT apod !!
    • přidán OGG Vorbis filtr - informace o hudebních OGG souborech
    • nově podpora FPX formátu a možnost vytažení náhledu z Office dokumentů (office filtr).
    • urychlen obrázkový filtr (pictview) - nyní umí zpracovávat také soubory obsahující náhledy, což výrazně urychlí filtrování hlavně velkých souborů (mají-li náhledy dostatečnou velikost)
    • vylepšen MP3 filtr při zpracování ID3 TAGu verze 2.xx (všechny TAGy až do verze 2.4 podporovány)
    • přidáno okno obsahující náhled na obrázek
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v2.65 (30.5.2002)
    • vylepšen obrázkový filtr (pictview) - nyní vyžaduje naprosté minimum operační paměti a to i při zpracování obrázků o gigantických rozměrech!
    • aplikace nyní umí zjistit, zda je na internetu její novější verze
    • přeorganizovány ikonky v nástrojové liště
    • nyní je možné předdefinovat určité skupiny masek pro vyhledávání nebo označování souborů/složek. Předem jsou nadefinovány masky pro obrázky, audio, video, dokumenty, web...
    • opravena chyba ve vyhledávacím dialogovém okně při porovnávání známek <= 1..5. Zde chybně odpovídaly všechny neoznámkované soubory či složky
    • opravena chyba ve vyhledávacím dialogovém okně při vyhledávání v komentářích ke složkám nebo archívům
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v2.61 (20.5.2002)
    • adresa portu při prozkoumávání FTP serveru může nyní nabývat hodnotu až 65535. Dříve byla omezena na hodnotu 32767.
    • přidána drobná vylepšení.
  • v2.60 (14.4.2002)
    • nyní je možné aktualizovat jednotku v databázi!
    • nyní je možné vytvořit tzv. samozobrazovací databázi!
    • pro soubory, které jsou k dispozici, je možné zobrazit kontextové menu shellu.
    • po spuštění aplikace bez jediné otevřené databáze se zobrazí pomocné okno.
    • filtry nyní své nastavení ukládají do registru Windows, ne do souboru ve své složce jako tomu bylo v předchozích verzích.
    • nyní je k dispozici též samotný zobrazovač DED databází Disk Explorer Professional Viewer, který je freeware, tzn. volně šířitelný bez jakýchkoliv poplatků - ke stažení z našich stránek.
    • nyní je k dispozici též anglická verze aplikace.
    • opraveny drobné chybičky.
    • přidána drobná vylepšení.
  • v2.55 (20.3.2002)
    • databáze je nyní chráněna proti narušení při vkládání nové jednotky. Veškerá nová data jsou nyní ukládána do zvláštního souboru a až po úspěšném dokončení prozkoumávání jsou vložena do databáze.
    • vylepšen WAV info filtr - přibyla možnost nevytvářet detailní informace, čímž se ušetří místo v databázi.
    • upraven Office info filtr - na určitých typech XLS souborů nepracoval korektně.
    • nyní můžete při vyhledávání zadávat více wildcards za sebou oddělené mezerou nebo lomítkem.
    • urychlena čtečka komprimovaných archívů (cca o 40% rychlejší).
    • aplikace již jde opět spustit i pod Windows 95 - to ve verzich 2.5x nebylo možné.
    • přidána možnost změnit jméno souboru ve kterém hledat informace o audio CD. Výchozí jméno je cdplayer.ini.
    • opraveny drobné chybičky.
    • přidána drobná vylepšení.
  • v2.52 (13.3.2002)
    • oprava čtečky souborů .TAR a .TAR.GZ.
    • vylepšen úžasný obrázkový filtr (pictview). Nyní podporuje další formáty: .SKA,.WEB,.XAR,.82I,.83I,.85I,.86I,.89I,.92I
    • upravena drobná chyba při zobrazování náhledů
  • v2.50 (11.3.2002)
    • podpora CDDB a cdplayer.ini - umožní zjistit při vkládání do databáze jméno interpreta, alba, názvy tracků apod.. Nejprve prohlédne soubor cdplayer.ini a pokud informace nenajde, kontaktuje internetový server http://freedb.freedb.org.
    • vytvořeno nové okno zobrazující neustále komentář k aktuálně zvolené jednotce, souboru či složce (pokud ho nevypnete)..
    • nyní je možné vyhledávat nebo označovat soubory pomocí regulárního výrazu.
    • bylo upraveno vyhledávání pomocí wildcards - * na začátku slova dříve nalezla všechny soubory - nyní jen ty, končící na písmena za ní..
    • aplikace je nyní i vizuálně přizpůsobena systému Windows XP. Kompletně převezme grafický kabát Windows XP.
    • opraveny drobné chybičky.
    • přidána drobná vylepšení.
  • v2.40 (2.2.2002)
    • přidána možnost zapsat komentář i ke složkám a komprimovaným archivům (pouze u jednotek vytvořených touto verzí aplikace).
    • přidána možnost oznámkovat soubor či složku pro snadnější rozpoznání "kvalitních" souborů či složek.
    • vylepšen MP3 filtr- nyní umí číst ID3TAG verze 2.3 a také navíc zobrazuje délku skladby a počet framů.
    • filtr pro filtrování dokumentů MS Office byl dokončen. Nyní filtruje Word, Excel, Powerpoint apod. dokumenty.
    • nový vzhled menu - ala XP.
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v2.30 (1.1.2002)
    • výrazně optimalizované vymazání více jednotek z databáze. Může být až mnohonásobně rychlejší!
    • FCS - Filter Crash Shield - zabrání pádu aplikace při filtrování nějakého vadného souboru. Např. AVI Video filtr způsobí pád aplikace při pokusu o přefiltrování vadného AVI souboru - chyba je v knihovnách systému Windows, proto nešlo pádu zabránit. Nyní je tento problém vyřešen tímto štítem - zhroutí se pouze štít, Disk Explorer Professional ho opět nastartuje a pokračuje v prozkoumávání.
    • přepracovaná správa filtrů - nyní je mnohem přehlednější a snazší na konfigurování. Více viz. dokumentace k programu
    • nové filtry
      • filtr pro filtrování spustitelných souborů, DLL knihoven, spořičů, CPL...
      • filtr pro filtrování dokumentů MS Office (prozatím pouze Word).
      • filtr pro filtrování HTML dokumentů
    • přidána možnost uložení seznamu zvolených jednotek na disk
    • přidána možnost vysunutí média z jednotky po ukončení prozkoumávání
    • přidána možnost znovuzobrazení dialogového okna Prozkoumávání po ukončení prozkoumávání
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v2.22 (11.11.2001)
    • přidán Speciální export - možnost exportovat databázi, či pouze určité jednotky z databáze, do jiných formátů. To umožňuje následný import do některého z tabulkových procesorů aj.
    • přidána možnost zahrnout do databáze pouze určité typy souborů
    • dokumentace k programu
    • přidána možnost uložení náhledu z databáze na disk
    • přidána možnost uložení seznamu zvolených souborů na disk
    • přidána možnost zmenšení objemu databází vymazáním náhledů či popisků souborů (více viz Import/Export)
    • přidána možnost nezobrazovat soubory, složky, archívy nebo náhledy
    • filtry
      • filtrování mpeg souborů (mp3, mp2)
      • filtrování wave souborů (wav, wave)
      • filtrování hudebních modulu vytvořených trackery (it, s3m, stm, xm, mod, mtm, 669)
      • filtrování takřka všech typů rastrových obrázků - vytvoří se náhled
      • filtrování AVI souborů - vytvoří se náhled (vyžaduje pouze Video For Windows, což je standardní výbava 32bit Windows)
      • filtrování filmových souborů jako AVI, MPG apod. - vytvoří se náhled (vyžaduje DirectXMedia 6 nebo DirectX 8)
      • speciální filtr Žádný filtr - pro možnost nefiltrovat určité soubory, pokud s nimi má nějaký filtr problém
    • přidána možnost čtení struktury ACE archívu
    • přidána možnost čtení struktury JAR archívu
    • přidána možnost čtení struktury PAK archívu (Quake)
    • přidána možnost čtení struktury PK3 archívu (Quake 3)
    • přidána možnost čtení struktury ASP archívu (Antelope Studios Package)
    • přidána možnost čtení struktury CAB archívu (Microsoft Cabinet)
    • vylepšení čteček archívu ZIP, RAR, TAR, TAR GZIP
    • mezinárodní řazení souborů
    • přidána možnost přidat písmena/cesty ke zdrojové jednotce kvůli možnosti spouštění na jiném počítači kde má např. CD-ROM jiné písmeno
    • dokončena podpora FTP (nyní si můžete do své databáze přidat i FTP server)
    • umí pracovat s databázemi předchozí verze avšak jednotky přidané touto verzí nebudou předchozími beta-verzemi čitelné
    • opraveny drobné chybičky
    • přidána drobná vylepšení
  • v2.00 beta3 (17.1.2000)
    • přidána možnost čtení struktury TAR archívu
    • přidána možnost čtení struktury TAR archívu zkomprimovaného programem GZIP
    • možnost čtení struktury samorozbalovacích (exe) archívů
    • výrazně zrychlena čtečka struktury archívů ZIP
    • spočtena velikost každé složky včetně jejich podsložek (pouze v jednotkách, které byly do databáze zahrnuty touto verzí Disk Exploreru Pro)
    • možnost exportu statistiky jednotky do souborů. Ten je pak mozne importovat do tabulkového procesoru
    • opraveny drobné chyby
    • drobné vylepšení stávajících funkcí programu
    • návrh pro možnost prozkoumávání i FTP serveru. Samotné prozkoumávání zatím není implementováno.
  • v2.00 beta2 (8.12.1999)
    • z důvodu přidání některých užitečných funkcí se změnil formát databáze na v1.02. Databáze vytvořené verzi 2.00 beta1 již nejsou podporovány.
    • výrazně vylepšená čtečka struktury archívů ZIP
    • vylepšeno dialogové okno Hledat soubory
    • přidána možnost komentáře k jednotkám
    • opraveny drobné chyby
    • drobné vylepšení stávajících funkcí programu
  • v2.00 beta1 (3.12.1999)
    • první veřejná verze


Jak získat poslední verzi aplikace

Nejlépe prostřednictvím Internetu na naší WWW adrese http://www.diskexplorerpro.com.

Vzhledem k volné šiřitelnosti neregistrované verze aplikace bude pravděpodobně možné získat Disk Explorer Professional též z jiných zdrojů.

Např. z těcho zdrojů

  • http://www.slunecnice.cz/
  • http://www.download.cz/
  • http://www.stahuj.cz/
  • http://www.studna.cz/
  • http://www.avir.sk/


Co dělat v případě problémů s aplikací

Pokud v aplikaci objevíte chybu, zkuste jako první krok získat poslední verzi aplikace (viz kapitola Jak získat poslední verzi aplikace) a ověřte, zda se v této verzi chyba stále ještě vyskytuje. Je totiž možné, že na tuto chybu již někdo upozornil a je již odstraněna.

Pokud se chyba stále vyskytuje, snažte se najít a přesně popsat posloupnost kroků, vedoucí k jejímu opakování, a to nejlépe od samotného počátku, tj. od zapnutí počítače. Popis prosím zašlete na naši adresu. Prosím, přiložte také informace o systému, které získáte po zvolení položky Informace o systému z menu Nápověda.

Pokud se chyba vyskytuje jen v jedné konkrétní databázi nebo s nějakým konkrétním souborem, může nám při lokalizaci chyby pomoci, zašlete-li nám také tento soubor nebo databázi - samozřejmě pokud neobsahuje Vaše důvěrná data.

Každou nahlášenou chybu se budeme snažit co nejrychleji odstranit a dát k dispozici uživatelům jako novou subverzi aplikace.

Zde je kontakt.


Kontakt

WWW adresa: http://www.diskexplorerpro.com

E-mail technické podpory: support@tjelinek.com

Fax (pouze): 272 913 432

Chcete-li znát více informací, prosím kontaktujte nás.

Pro zákazníky ze Slovenska

Aplikaci si mužete objednat u spolecnosti AVIR - http://www.avir.sk/.

Kontakt:

  • Ing. Peter Hubinský info@avir.sk
  • Tel.: 0905 / 859 812
  • Fax: 033 / 640 18 95


Jak pracovat s aplikací

Jak pracovat s aplikací

V této kapitole se dozvíte krok za krokem, jak si založit svou databázi, přečíst obsah média, třídit jednotky do kategorií a vyhledávat.

Prosím koukněte se na soubor ukazka.ded, který se nachází ve stejné složce jako aplikace Disk Explorer Professional. Jedná se o ukázkovou databázi s již vytvořenými základnímí kategoriemi.


Spuštění aplikace

Spusťte aplikaci Disk Explorer Professional z nabídky Start (Programy->Disk Explorer Professional 3->Disk Explorer Professional) nebo z plochy, pokud zde máte zástupce.

Pokud ji spouštíte poprvé, zvolte si jazyk, ve kterém s vámi bude celá aplikace komunikovat. Ve vašem případě to bude určitě český jazykový modul.


Založení databáze

V nabídce Soubor zvolte položku Nový nebo stiskněte kombinaci kláves Ctrl+N.

Otevře se dialogové okno, kde si můžete nastavit vlastnosti databáze.

Popis dialogového okna:

Maximální počet jednotek
Zde si můžete nastavit, kolik jednotek je možné do databáze umístit. Pokud Vám nebude stačit standardní nastavení, můžete si ho zvětšit a to téměř do neomezené velikosti, jen mějte na paměti, že vyhrazený prostor pro každých 1024 jednotek vám automaticky zabere 4KB místa na pevném disku.
Heslo
Můžete si také nastavit heslo pro přístup do databáze. Ten, kdo Vaše heslo nebude znát, nebude mít možnost databázi aplikací otevřít.

Po odklepnutí tlačítkem OK se objeví standardní okno pro uložení souboru. Zvolte si tady cestu, kam databázi uložit, a její jméno.

Databáze má příponu DED (Disk Explorer Pro Database). K této příponě se také Disk Explorer Professional přiřadí a Vy můžete databáze otevírat pouhým poklepaním z Průzkumníka.


Přidání jednotky do databáze

Z menu Nástroje vyberte položku Přidat jednotku... nebo stiskněte klávesu Insert.

Objeví se dialogové okno možností prozkoumávání jednotky. Detailní popis tohoto okna naleznete v kapitole Podrobný popis aplikace: Přidání jednotky do databáze.

Postačí, když zvolíte jednotku nebo složku, kterou chcete zahrnout do databáze. Pokud je třeba, můžete ji najít tlačítkem Vyhledat…. Po odklepnutí se objeví malé okénko, do kterého napíšete, jak chcete jednotku pojmenovat do databáze. Standardně je zde jméno jednotky a její písmeno v hranatých závorkách.

Po stisknutí tlačítka OK začne samotný proces prozkoumávání jednotky a pokud nenastane závažná chyba, o které budete informováni, bude zahrnuta do databáze.


K čemu slouží kategorie

Pomocí kategorií je možné jednotky, složky, či soubory rozdělit do logických, hierarchicky odstupňovaných celků. Např. chcete-li mít přehled, kde se daná jednotka fyzicky nachází (CD/DVD/diskety v boxech/zásuvkách).

Dále je možné rozdělit soubory podle jejich typu - pak můžete vidět např. všechny obrázky v jedné kategorii. K tomuto Vám nejlépe poslouží funkce z Vyhledávacího okna Uložit jako kategorii, díky které se kategorie vytvoří ze všech nalezených souborů.

Dále je možné jednotky rozdělit do kategorií podle toho, komu jsou vypůjčené nebo podle jakéhokoliv jiného kritéria.

Jednotky samozřejmě mohou být ve všech kategoriích současne.

Prosím koukněte se na soubor ukazka.ded, který se nachází ve stejné složce jako aplikace Disk Explorer Professional. Jedná se o ukázkovou databázi s již vytvořenými základnímí kategoriemi.

Jak přidat jednotku/složku/soubor do kategorie.

Jak se pracuje se stromem kategorií.


Vyhledávání v databázi

Aplikace obsahuje také velice účinný hledací nástroj. Aktivuje se zvolením položky Hledat… z nabídky Nástroje nebo stisknutím kombinace kláves Ctrl+F.

Do řádku Hledat soubory / složky vepište, co hledat, a to pomocí wildcards nebo specifikováním části jména souboru nebo pomocí regulárního výrazu. To je možné nastavit ve skupině "Hledaný je zadán jako" (tam zvolte wildcards nebo "Část jména"). Pokud zvolíte hledání pomocí části jména, najdou se všechny soubory, jejichž jméno obsahuje zadaný řetězec znaků.

Více viz kapitola Podprobný popis aplikace: Vyhledávání v databázi.


Popis okna aplikace

Aplikace je podobně jako Průzkumník rozdělena na dvě části. V levé části je seznam jednotek nebo kategorií, v pravé je obsah zvolené jednotky- soubory a složky. Mezi panely je možné přepínat pomocí klávesy TAB nebo cvaknutím myši. U každého souboru či jednotky se po cvaknutí pravým tlačítkem myši objeví speciální menu, které vám dává na výběr akce, které je možné provést.


Otevření databáze

V nabídce Soubor zvolte položku Otevřít… nebo stiskněte kombinaci kláves Ctrl+O.

Otevře se standardní dialogové okno pro otevření souboru. Zde si zvolte databázi, kterou si přejete otevřít (můžete otevřít i samozobrazovací databázi, tj. EXE soubor) a stiskněte tlačítko Otevřít. Pokud je databáze chráněna heslem, aplikace vás vyzve pro jeho zadání. Pokud je heslo správně zadáno, otevře se Vám databáze a můžete začít svou práci s ní.


Uložení kopie databáze

V nabídce Soubor zvolte položku Uložit kopii jako... nebo stiskněte klávesu Ctrl+S.

Tím se vytvoří identická kopie databáze. Je vhodné tuto funkci využívat ke snadnému vytváření záloh apod.


Uložení databáze do HTML

V nabídce Soubor zvolte položku Uložit jako HTML... nebo stiskněte klávesu Ctrl+H.

Tím se převede celá datadáze do HTML = webové stránky. Více se můžete dočíst v kapitole Speciální Export.


Odeslání databáze e-mailem

V nabídce Soubor zvolte položku Odeslání e-mailem... nebo stiskněte klávesu Ctrl+M.

Pomocí této funkce můžete jednoduše a rychle vytvořit e-mail, jehož přílohou bude právě otevřená databáze.


Vlastnosti databáze

V nabídce Soubor zvolte položku Vlastnosti….

Popis dialogového okna:

Přístup: pouze ke čtení
Pokud je zatrženo, databáze se přepne do režimu, ve kterém ji není možné jakkoliv upravovat, pouze si ji prohlížet a vyhledávat v ní.
Heslo
Můžete databázi ochránit heslem, nebo stávající heslo zrušit pomocí tlačítka Storno stávající heslo. Nové heslo musíte pro kontrolu zapsat 2x.


Zavření databáze

V nabídce Soubor zvolte položku Zavřít nebo stiskněte kombinaci kláves Ctrl+F4.

Tím ukončíte práci s databází.


Zavření všech databází

V nabídce Soubor zvolte položku Zavřít vše nebo stiskněte kombinaci kláves Ctrl+C.

Tím ukončíte práci se všemi databázemi.


Import jednotek do databáze

Pokud si přejete do otevřené databáze vložit také jednotky z jiné databáze, zvolte z nabídky Soubor položku Import... nebo stiskněte kombinaci kláves Ctrl+I.

Otevře se standardní dialogové okno pro otevření souboru. Zde si zvolte databázi, ze které si přejete importovat jednotky a stiskněte tlačítko Otevřít. Pokud je otevíraná databáze chráněna heslem, zadejte jej a objeví se vám dialogové okno, zobrazující jména všech jednotek, které databáze obsahuje.

Po zvolení jednotek, které si přejete importovat, stiskněte tlačítko OK. Po té se objeví se poslední dialogové okno s možnostmi optimalizace databáze.

Optimalizací databáze můžete výrazně zmenšit její velikost (zde se jedná pouze o jednotky, které budou do právě otevřené databáze vloženy - zdrojová databáze zůstane netknuta).

Máte zde tyto možnosti:

Vyjmout veškeré zahrnuté obsahy souborů
Obsahy všech souborů, které mají v databázi svůj obsah, budou vymazány.
Vyjmout veškeré náhledy na obrázky či videa
Veškeré náhledy na obrázky budou z databáze odstraněny. Zůstanou zde ale informace o obrázcích, popř. videích. Těch se můžete zbavit zatrhnutím následující možnosti:
Vyjmout veškeré vygenerované popisky k souborům a náhledy
Z databáze budou odstraněny veškeré popisky k souborům včetně náhledů.

Po té se začnou jednotky importovat do právě otevřené databáze. O úspěchu či neúspěchu importu budete informováni oknem se zprávou.


Export jednotek z databáze

Pokud si přejete z otevřené databáze vložit určité jednotky do jiné databáze, zvolte z nabídky Soubor položku Export… nebo stiskněte kombinaci kláves Ctrl+E.

Objeví se dialogové okno, zobrazující jména všech jednotek, které zdrojová databáze obsahuje. Po zvolení jednotek, které si přejete exportovat, stiskněte tlačítko OK (pokud jste jednotky zvolili v pravém panelu aplikace, budou i zde automaticky vybrány).

Poté se otevře standardní dialogové okno pro otevření souboru. Zde si zvolte databázi, do které si přejete exportovat jednotky, a stiskněte tlačítko Uložit. Pokud je otevíraná databáze chráněna heslem, zadejte jej a objeví se poslední dialogové okno s možnostmi optimalizace databáze.

Optimalizací databáze můžete výrazně zmenšit její velikost (zde se jedná pouze o cílovou databázi, tzn. ta, která bude vytvořena - zdrojová databáze zůstane netknuta).

Máte zde tyto možnosti:

Vyjmout veškeré zahrnuté obsahy souborů
Obsahy všech souborů, které mají v databázi svůj obsah, budou vymazány.
Vyjmout veškeré náhledy na obrázky či videa
Veškeré náhledy na obrázky budou z databáze odstraněny. Zůstanou zde ale informace o obrázcích, popř. videích. Těch se můžete zbavit zatrhnutím následující možnosti:
Vyjmout veškeré vygenerované popisky k souborům a náhledy
Z databáze budou odstraněny veškeré popisky k souborům včetně náhledů.

Po té export začne. O úspěchu či neúspěchu exportu budete informováni oknem se zprávou.


Speciální export jednotek z databáze

Pokud si přejete z otevřené databáze vyexportovat určité jednotky do jiného formátu, zvolte z nabídky Soubor položku Export speciál… nebo stiskněte kombinaci kláves Ctrl+X.

V následujícím dialogovém okně máte tyto možnosti (seznamy):

Co si přejete speciálně exportovat:
Aktuálně zvolené jednotky
Budou speciálně exportovány ty jednotky, které jsou zvoleny v pravé (seznam) nebo levé (strom) části aplikace.
Vybrat jednotky z následujícího dialogového okna...
Jednotky, které si přejete speciálně exportovat, si zvolíte z následujícího dialogového okna, které se objeví po stisku tlačítka OK.
Celou databázi
Bude speciálně exportována celá databáze.
Výstupní formát exportovaných dat:
Položky oddělené TABulátory
Ve výsledném souboru budou sloupce dat odděleny TABulátory.
Položky oddělené vlastním znakem...
Ve výsledném souboru budou sloupce dat odděleny takovým oddělovačem, který si zvolíte v okénku o řádek níž.

Ve výsledné podobě je možné soubor otevřít v některém z tabulkových procesorů, jako jsou např. Microsoft Excel, Corel Quattro Pro apod., a tam pak dělat další úpravy jako např. tisk.

Pokud jste jako oddělovač použili čárku (,) můžete soubor uložit s příponou CSV (zkratka pro Comma Separated Values - položky odělené čárkami).

HTML stránka
Chcete-li si svou databázi vystavit na internetu, tohle je Vaše volba. K počatečnímu souboru bude vytvořena také stejnojmenná složka obsahující množství html souborů (dle nastavení i bitmap ve formátu GIF anebo JPG), díky kterým bude možné procházet v celé databázi pomocí internetového prohlížeče.
XML (eXtensible Markup Language)
Ve výsledném souboru budou XML data pro zpracování v internetových systémech.

V případě, že v horním seznamu je zvolena položka Vybrat jednotky z následujícího dialogového okna..., objeví se dialogové okno, zobrazující jména všech jednotek, které zdrojová databáze obsahuje. Po zvolení jednotek, které si přejete exportovat, stiskněte tlačítko OK (pokud jste jednotky zvolili v pravém panelu aplikace, budou i zde automaticky vybrány).

Po té se otevře standardní dialogové okno pro výběr nebo založení určitého souboru. Zde si zvolte soubor, do kterého si přejete exportovat jednotky a stiskněte tlačítko Uložit.

Po té speciální export začne. O úspěchu či neúspěchu exportu budete informováni oknem se zprávou.


Vytvoření samozobrazovací databáze

V nabídce Soubor zvolte položku Vytvořit samozobrazovací databázi... nebo stiskněte kombinaci kláves Ctrl+V.

Samozobrazovací databáze

  • je velice vhodná, pokud si přejete databázi zobrazit všude bez nutnosti instalace aplikace.
  • je spustitelný soubor typu EXE, který kdekoliv jednoduše spustíte a zobrazí se vám databáze.
  • však zabírá cca o 300 KB více než normální databáze.

Do takto vytvořené databáze však není možné dělat změny. Ovšem i samozobrazovací databázi je možné zpětně otevřít aplikací Disk Explorer Professional!


Označení / odznačení souborů či složek

Položky nabídky Úpravy obsahují všechny funkce pro označení či odznačení souborů či složek.

Zde je popis všech položek této nabídky:

Označení/odznačení všech
Označí případně odznačí již označené soubory a složky v pravém panelu aplikace.
Označit…
Odznačit…
Umožňuje označení či odznačení určitých souborů či složek pomocí filtru (masky). Typ filtru si můžete zvolit ve skupině "Filtr je zadán jako:". Mohou to být wildcards nebo "Část jména" (= najdou se všechny soubory, které obsahují zadaný řetězec znaků) nebo regulární výraz.
Invertovat označení
Otočí označení souborů, tzn. označené soubory/složky se odznačí a neoznačené se označí.
Rozbalit všechny podvětve stromu
Rozbalí všechny podvětve právě zvolené větve stromu.


Zobrazení

Aplikace má několik možností zobrazení ikonek. Jsou to velké ikonky, malé ikonky, seznam a detaily. Zde stojí za zmínku možnost "velké ikonky", protože pouze v tomto režimu je možné vidět náhledy na obrázky, které vytvořil obrázkový či video filtr - pokud ovšem při prozkoumávání jednotky bylo filtrování obrázků či videa požadováno. Více o tomto naleznete v kapitole Přidání jednotky do databáze.

Pomocí položky Strom kategorií se zobrazí nebo schová strom kategorií.

V podnabídce Seřadit si můžete zvolit, podle jakých kritérií budou soubory řazeny.

V nabídce zobrazení je dále možné vypnout či zapnout zobrazení panelu nástrojů či stavové lišty nebo posunout rozdělovač okna, kterým je možné zvětšit prostor buď pro strom na levé nebo seznam na pravé straně.

Také je možné vypnout zobrazení složek, archívů, náhledů nebo souborů, abyste se mezi soubory a složkami lépe orientovali. Např. pokud si přejete vidět pouze náhledy, vypněte zobrazení souborů, složek a archívů.


Strom kategorií

Strom kategorií zobrazíte, vyberete-li z nabídky Zobrazit položku Strom kategorií nebo stisknete klávesu Shift+Tab.

Jediný rozdíl oproti standardnímu zobrazení aplikace je ten, že strom na levé straně nyní nezobrazuje jednotky, nýbrž kategorie. Do těchto kategorií je možné databázi rozdělit, viz kapitola K čemu slouží kategorie.

Strom kategorií je možné upravovat pomocí kontextové nabídky, tj. nabídka, která se zobrazí po stisknutí pravého tlačítka myši na příslušné kategorii. Stejně tak v seznamu položek na pravé straně. Dvojitým poklepáním levým tlačítkem myši v seznamu bude soubor/složka/jednotka nalezena v databázi.

Jak vložit soubor/složku/jednotku do kategorie.


Přidání jednotky do databáze

Z nabídky Nástroje vyberte položku Přidat jednotku... nebo stiskněte klávesu Insert.

Objeví se dialogové okno možností prozkoumávání diskové jednotky, virtuální jednotky nebo FTP serveru.


Přidání diskové jednotky či složky

Z nabídky Nástroje vyberte položku Přidat jednotku... nebo stiskněte klávesu Insert.

Stiskněte tlačítko Disková jednotka.

Do okénka na levé straně dialogového okna zapište jednotku nebo složku, kterou chcete zahrnout do databáze. Pokud je třeba, můžete ji najít tlačítkem Vyhledat….

V případě, že se jedná o Audio CD, aplikace se nejprve podívá do souboru cdplayer.ini (kterýžto se nalézá ve složce windows), zda tam nejsou uloženy informace o albu, stopách apod. Pokud tam nejsou, kontaktuje webový server CDDB (http://freedb.freedb.org) a pokusí se získat informace z něj (při tomto kroku je zapotřebí spojení s Internetem). Pokud je ani tam nenalezne, prohledá freedb databázi na lokálním disku (je-li to nakonfigurováno v nastavení aplikace). V případě neúspěchu album a stopy zůstanou nepojmenované, v případě úspěchu zjištěné informace zapíše do souboru cdplayer.ini. Jméno souboru cdplayer.ini je možné změnit v rozšířených možnostech prozkoumávání.

Profil pro zahrnování souborů
Zde si můžete zvolit profil, kde jsou definovány soubory (resp. typy souborů), které mají být zahrnuty do databáze. Tlačítkem Profily… si můžete přidat, editovat nebo vymazat jakýkoliv profil. Více o profilech se dozvíte v kapitole Profily.
Aplikovat profil také na soubory uvnitř archivu
Je li toto políčko zaškrtnuté, i soubory uvnitř archivů se budou řídit zvoleným profilem (zda budou soubory zahrnuty do databáze či ne). Pokud políčko zaškrtnuté není, budou se zahrnovat do databáze všechny soubory uvnitř archivů.
Filtrovat soubory
Zde je možné aktivovat či úplně vyřadit filtrování souborů. Více o filtrech a o jejich nastavení se dozvíte v kapitole Filtry - konfigurace.
Pak vysunout médium, je-li to jednotkou podporováno
Po ukončení prozkoumávání média (obvukle CD, DVD, ZIP..) ho vysune, což zpříjemní proces vkládání jednotek do databáze.
Pak znovu zobrazit dial. okno pro prozk. jednotky
Po ukončení prozkoumávání nové jednotky opět zobrazí toto okno, což zpříjemní proces vkládání jednotek do databáze.

Na pravé straně máme další možnosti:

Profil pro zahrnování obsahu souborů
Zde si můžete zvolit profil, kde jsou definovány soubory (resp. typy souborů), jejichž obsah bude zahrnut do databáze. Tlačítkem Profily… si můžete přidat, editovat nebo vymazat jakýkoliv profil. Více o profilech se dozvíte v kapitole Profily.
Číst adresářovou strukturu těchto archivů
U zatržených archivů bude načtena jejich adresářová struktura do databáze. To Vám umožní vidět v databázi soubory a složky archívu, jako by se nejednalo o soubor, ale složku.
Zpracovat/přefiltrovat soubory uvnitř těchto archivů
Soubory uvnitř zatržených archivů budou kompletně zpracovány (fitrovány, zahrnován obsah apod.) jakoby se jednalo o soubory mimo archiv. Taktéž vnořené archivy budou zpracovány dle nastavení zpracovávání adr. struktury.
Vyhrazený prostor pro komentář k jednotce, složkám a archivům
Zde si můžete specifikovat maximální počet komentářů včetně maximální délky jednoho komentáře. Maximální počet komentářů je 8191 a max. délka jednoho komentáře 65535 znaků. Jeden komentář je automaticky rezervován pro komentář k jednotce.

Ostatní:

Další možnosti
Po stisku tohoto tlačítka bude zobrazeno okno rozšířeného nastavení prozkoumávání.
Nastavit jako výchozí hodnoty prozkoumávání
Nastavené hodnoty kromě jednotky nebo složky, kterou chcete zahrnout do databáze budou uloženy a automaticky nastaveny při dalším zobrazení tohoto dialogového okna.

Po odklepnutí dialogového okna tlačítkem OK se objeví malé okénko, do kterého je možné vepsat, jak si přejete jednotku pojmenovat do databáze. Standardně je zde jméno jednotky a její písmeno v hranatých závorkách. Po stisknutí tlačítka OK začne samotný proces prozkoumávání jednotky a pokud nenastane závažná chyba, o které budete informováni, bude zahrnuta do databáze.


Přidání struktury FTP serveru

Z nabídky Nástroje vyberte položku Přidat jednotku... nebo stiskněte klávesu Insert.

Stiskněte tlačítko FTP Server.

Do horního okénka napište adresu FTP serveru, jehož adresářovou strukturu si přejete vložit do databáze. Můžete specifikovat také komunikační port.

Startovní složka
Pokud nechcete prozkoumávat celý server, můžete specifikovat startovní složku, od které prozkoumávání začít. Na FTP serverech se složky oddělují pomocí normálního lomítka (/), ne zpětným lomítkem (\), jako je tomu ve Windows či DOSu.
Profil pro zahrnování souborů
Zde si můžete zvolit profil, kde jsou definovány soubory (resp. typy souborů), které mají být zahrnuty do databáze. Tlačítkem Profily… si můžete přidat, editovat nebo vymazat jakýkoliv profil. Více o profilech se dozvíte v kapitole Profily.
Pracovat v pasivním režimu
V tomto režimu probíhá procházení FTP serveru tzv. neaktivně - připojení nevytváří cílový server, ale klient. Tento režim může být nutný při práci za přísnými firewally, které nepovolují připojení z vnějšku.
Uživatelské jméno
Heslo
Dále může být zapotřebí vyplnit přihlašovací jméno a heslo. V případě, že server má volný přístup, použijte anonymní přihlášení (tj. použijte uživatelské jméno anonymous a jako heslo vaší e-mailovou adresu nebo nechte tato políčka prázdná). Pokud server vyžaduje přihlášení, musíte znát Vaše uživatelské jméno a heslo pro přístup k serveru, jinak nebudete mít k serveru přístup.
Vyhrazený prostor pro komentář k jednotce, složkám a archivům
Zde si můžete specifikovat maximální počet komentářů včetně maximální délky jednoho komentáře. Maximální počet komentářů je 8191 a max. délka jednoho komentáře 65535 znaků. Jeden komentář je automaticky rezervován pro komentář k jednotce.

Po odklepnutí dialogového okna tlačítkem OK se objeví malé okénko, do kterého je možné vepsat, jak si přejete FTP server pojmenovat do databáze. Standardně je zde adresa FTP serveru, popř. také startovní složka. Po stisknutí tlačítka OK začne samotný proces prozkoumávání serveru. Tato operace může trvat velmi dlouho, v závislosti na rychlosti komunikace se serverem. Nutností je samozřejmě připojení k Internetu.


Přidání virtuální jednotky

Z nabídky Nástroje vyberte položku Přidat virtuální jednotku... nebo stiskněte klávesu Shift+Insert.

Zřizovat virtuální jednotky je vhodné v případě, že Vás nezajímá obsah média ale pouze to, že takové médium existuje. Tuto jednotku je možné výstižně nazvat a přidat do kategorií - např. kde se nachází, zda je vypůjčená a komu, apod.

V seznamu si zvolte nejvhodnější typ média a max. velikost prostoru pro komentář k jednotce.

Po odklepnutí dialogového okna tlačítkem OK se virtuální jednotka vytvoří v databázi.


Aktualizace jednotky v databázi

Z nabídky Nástroje vyberte položku Aktualizovat jednotku... nebo stiskněte kombinaci kláves Ctrl+Insert.

K čemu slouží aktualizace? Díky aktualizaci nemusíte po změně zdrojové jednotky jednotku opětovně vkládat do databáze a znovu zapisovat komentáře anebo oznámkovávat soubory. Aktualizací se ke stejným souborům tyto hodnoty automaticky nastaví. Za stejný soubor se považuje soubor mající stejný datum, čas a velikost s původním, za stejnou složku se považuje ta složka, která má stejný datum a čas s původní.

Objeví se dialogové okno možností prozkoumávání jednotky. Detailní popis tohoto okna naleznete v kapitole Podrobný popis aplikace: Přidání jednotky do databáze.

Většina položek tohoto dialogového okna se nastaví na původní hodnoty, které byly zadány při vkládání jednotky do databáze. Na původní hodnoty se nenastavují profily a zaškrtnutí čtení adresářové struktury archívů. Některé položky nebude možné měnit z důvodu zachování původního nastavení jednotky (vyhrazený prostor pro komentáře).

Jsou k dispozici dva typy aktualizace:
  • Rychlá - použije ze souborů z původní jednotky vše, co je možné. Tzn. kromě popisků a hodnocení také přefiltrovaná data, popř. vložené obsahy souborů. Pokud si přejete filtrovat soubory znovu, použijte plnou aktualizaci.
  • Plná - všechny soubory aplikace filtruje znova a znovu vkládá do databáze obsahy souborů. Jediné, co bude použito z originální jednotky, jsou popisky a hodnocení souborů a složek.

Máte zde také možnost nemazat původní jednotku z databáze. Pokud původní jednotku smažete, budou vyjmuty veškeré její soubory/složky/jednotky z kategorií!

Po odklepnutí se objeví malé okénko, do kterého napíšete, jak chcete jednotku pojmenovat do databáze. Standardně je zde původní jméno jednotky.

Po stisknutí tlačítka OK začne samotný proces aktualizace jednotky a pokud nenastane závažná chyba, o které budete informováni, bude jednotka aktualizována.


Přejmenování jednotky v databázi

Z menu Nástroje vyberte položku Přejmenovat jednotku... nebo stiskněte klávesu F2.

V dialogovém okně, které se objeví, je napsán aktuální název jednotky. Udělejte požadované změny v názvu a stiskněte OK.


Odstranění jednotky z databáze

Z menu Nástroje vyberte položku Odstranit jednotku... nebo stiskněte klávesu Delete.

Pokud potvrdíte, že si opravdu přejete jednotku odstranit, bude ihned vymazána z databáze. Databáze je také ihned přerovnána aby v ní nevznikl žádný zbytečný prostor a tudíž byla co nejmenší. Veškeré části jednotky jsou také vyjmuty ze všech kategorií. Tuto akci již nelze vzít zpět!


Přidání položky do kategorie

V nabídce Nástroje zvolte položku Přidat do kategorie... nebo stiskněte klávesu Ctrl+T.

Zobrazí se dialogové okno pro vložení souboru/složky/jednotky do kategorie.

V levé části okna je strom kategorií, který je možné upravovat pomocí tlačítek Přidat, Přejmenovat a Smazat. Ke zvolené kategorii je na pravé straně okna zobrazen její obsah.

Pokud máte ve stromu kategorií zvolenou cílovou kategorii, do které si přejete jednotky vložit, stiskněte tlačítko OK. Na zvolenou položku v seznamu (pravá část okna) se nebere zřetel.

Je kontrolováno, aby identické položky nebyly vícekrát ve stejné kategorii.

K čemu slouží kategorie?


Ohodnocení souboru či složky

Zvolte si libovolný soubor či složku a z nabídky Nástroje vyberte položku Ohodnotit soubor/složku... nebo stiskněte klávesu F5.

V následujícím dial. okně si zvolte známku (jako ve škole), kterou si přejete udělit zvolenému souboru či složce. Pro zrušení známky zadejte číslo 0.

V nastavení aplikace (Nabídka Nastavení/Volby...) je možné nastavit, aby se položky s ohodnocením 5 vůbec nezobrazovaly!


Napsání komentáře k jednotce, složce či archivu

Zvolte si libovolnou jednotku, složku či archiv a z nabídky Nástroje vyberte položku Komentář... nebo stiskněte klávesu F8.

Do okna můžete psát komentář až do rezervované délky, která se definuje při vkládání jednotky do databáze. Nahoře vidíte maximální velikost komentáře, dole je počet dosud zapsaných znaků.


Napsání komentáře k souboru

Napsání komentáře k souboru není možné. Komentář k souboru totiž automaticky generují filtry aplikace. Z nabídky Nástroje vyberte položku Komentář... nebo stiskněte klávesu F8 - zobrazí se vygenerovaný komentář. V případě, že žádný filtr není k souboru asociován, je komentář prázdný.


Definování dalších zdrojových jednotek k jednotce

Z nabídky Nástroje vyberte položku Další zdrojové cesty k jednotce... nebo stiskněte klávesu F9.

V následujícím dialogovém okně nahoře vidíme původní zdrojovou cestu, pod ní je prostor až pro 4 náhradní cesty k jednotce. Pokud se Vám nechce cestu zapisovat ručně nebo si ji z hlavy nepamatujete, stiskněte příslušné tlačítko "…" a cestu si ručně najděte.

K čemu slouží tyto cesty? Pokud se pokoušíte spustit nějaký program z databáze a písmeno zdrojové jednotky se změnilo (např. v případě, že jednotku vytvářel někdo z CD-ROM, která má odlišné písmeno než Vaše), aplikace v případě, ze spouštěný program nenalezne v původní jednotce, prohledá i zdrojové cesty Vámi dodefinované.


Vyhledávání v databázi

Z nabídky Nástroje vyberte položku Hledat... nebo stiskněte kombinaci kláves Ctrl+F.

Následující dialogové okno obsahuje mnoho možností, abyste byli schopni co nejlépe specifikovat hledaný soubor.

Hledat soubory / složky
Zde vepište jméno souboru či složky, který si přejete najít. Může být zadáno buď celé jméno, nebo jen část jména, nebo ho specifikovat pomocí wildcards (pokud si jich přejete zadat více najednou, oddělujte je mezerou nebo lomítkem (/) bez mezer..) či regulárním výrazem. Více viz Hledaný je zadán jako níže.
Hledat uvnitř komentářů
Pokud si přejete prohledávat text komentářů (popisků k souborům), napište sem hledaný text. Bude prohledán pouze ten soubor, který odpovídá zadání v řádku Hledat soubory / složky a obsahuje sem zadanou posloupnost znaků. Při hledání v komentářích se nerozlišují malá a velká písmena.
Hledat uvnitř zahrn. obsahů souborů
Pokud si přejete prohledávat také zahrnuté obsahy souborů v databázi (např. zahrnuté dokumentace k programům apod.), napište sem hledaný text. Bude prohledán pouze ten soubor, který odpovídá zadání v řádku Hledat soubory / složky a obsahuje sem zadanou posloupnost znaků. Při hledání v obsazích se nerozlišují malá a velká písmena.
Hledaný je zadán jako
Wildcards (*,?)
Může být zadám jako wildcards (pokud si jich přejete zadat více najednou, oddělujte je mezerou nebo lomítkem (/) bez mezer..).
Část jména
Budou nalezeny všechny soubory, které obsahují zadanou posloupnost znaků (např. část jména souboru).
~ Hledej také podobná slova (použijte nejste-li si jisti jménem souboru).
Regulární výraz
Budou nalezeny všechny soubory, které odpovídají zadanému regulárnímu výrazu.
Kde
Ve zvol. jednotkách
Soubory budou prohledávány jen ve zvolených jednotkách v hlavním okně aplikace.
V celé databázi
Bude prohledána celá databáze.
Ve zvol. kategoriích
Soubory budou prohledávány jen ve zvolených kategoriích v hlavním okně aplikace.
Ve všech kategoriích
Budou prohledány všechny kategorie.
Velikost, datum, čas a známka
Za nalezený bude považován soubor, který odpovídá i těmto kritériím. A to velikosti, datumu, času a známce. Položku, kterou si přejete porovnávat, musíte "aktivovat" zatrhnutím okénka před ní. Známka 0 znamená, že známka není definována.
Hledaný této masce a atributum NEODPOVÍDÁ
Také je možné hledat soubor, který naopak všem zadaným hodnotám ve skupině Velikost, datum, čas a známka neodpovídá.
Pouze s těmito atributy
Hledaný soubor musí mít také tyto atributy.
Hledat v již nalezených
Hledání nebude probíhat v celé databázi, ale pouze v souborech nalezených v předchozím hledání - tzn. ty, které jsou v seznamu Nalezeno.
Nalezeno
Seznam nalezených souborů a složek.
Export nalezených souborů...
Ve výsledném souboru budou sloupce nalezených souborů odděleny TABulátory. Takový soubor je možné otevřít v některém tabulkovém procesoru, jako jsou např. Microsoft Excel, Corel Quattro Pro apod., a tam pak dělat další úpravy.
Uložit jako kategorii...
Vytvoří z nalezených souborů kategorii. Velice vhodná funkce, přejete-li si vytvořit kategorii z určitých typů souborů (např. obrázků).
Uložit/Načíst hledání...
Umožňuje uložit a kdykoliv opět načíst veškeré nastavení tohoto vyhledávacího okna, abyste to nemuseli příště dělat znovu ručně.
Ukázat soubor!
Ukáže soubor, který je označen v seznamu Nalezeno, v databázi.
Hledej!
Zahájí samotné hledání souborů.

TIPY v seznamu Nalezeno

  • Bylo-li hledáno v databázi (v jednotkách):
    • dvojklik levým tlačítkem myši - soubor bude lokalizován (nalezen a ukázán) v databázi
    • dvojklik pravým tlačítkem myši - soubor bude spuštěn z originálního média
  • Bylo-li hledáno v kategoriích:
    • dvojklik levým tlačítkem myši - soubor bude lokalizován (nalezen a ukázán) ve stromu kategorií
    • dvojklik pravým tlačítkem myši - soubor bude lokalizován (nalezen a ukázán) v databázi


Informace o jednotce

Z menu Nástroje vyberte položku Informace o jednotce... nebo stiskněte klávesu F3.

V tomto dialogovém okně se dozvíte veškeré informace o jednotce. Myslím, že všechny informace jsou jasné, jen tyto stojí za vysvětlení:

Soubory včetně obsahu
Počet souborů, které mají v databázi i svůj obsah.
Archivy
Počet archivů, u kterých program načetl i jejich adresářovou strukturu. To je možné ovlivnit při vkládání jednotky do databáze. Více viz kapitola Přidání jednotky do databáze.
Vnořené archivy
Počet vnořených archivů v archivech, u kterých program načetl i jejich adresářovou strukturu. To je možné ovlivnit při vkládání jednotky do databáze. Více viz kapitola Přidání jednotky do databáze. Např. když ZIP soubor v sobě obsahuje další archivy (ZIP, RAR, ACE, CAB...).
Ostatní
Počet ostatních souborů na zdrojové jednotce.
Celkem souborů
Celkový počet všech souborů na zdrojové jednotce. Je to součet Archivy + Vnořené archivy + Ostatní.
Uvnitř archivů
Počet souborů a složek uvnitř archivů, u kterých program načetl i jejich adresářovou strukturu.
Celkový objem dat
Celkový objem všech dat na jednotce. Je to součet Celkem souborů + Uvnitř archivů.


Statistika jednotky

Z nabídky Nástroje vyberte položku Statistika jednotky... nebo stiskněte klávesu F4.

Statistika jednotky Vám vypíše seznam všech typů souborů na jednotce a kolikrát je ten který typ zastoupen. Je tam přidán i speciální typ ".*", který reprezentuje všechny soubory. Seznam je možné exportovat do textového souboru, ve kterém jsou sloupce odděleny tabulátorem, který je možné importovat do tabulkového procesoru, jako je např. Microsoft Excel, Corel Quattro Pro apod.


Informace o databázi

Z menu Nástroje vyberte položku Informace o databázi....

V tomto dialogovém okně se dozvíte veškeré informace o databázi. Myslím, že všechny informace jsou jasné, více informací se můžete dočíst v kapitole Informace o jednotce.


Statistika databáze

Z menu Nástroje vyberte položku Statistika databáze....

Je to stejný nástroj jako Statistika jednotky s tím rozdílem, že funguje pro celou databázi, ne jen pro vybranou jednotku.


Filtry

Filtry slouží k filtrování obsahu souborů.

Např. MP3 filtr přefiltruje soubor MP3 a do databáze (do komentáře k souboru) uloží informace o zvukové kvalitě souboru, délce, jméno interpreta, písně, alba apod. Nebo Obrázkový filtr uloží informace o téměř jakémkoliv rastrovém (bitmapovém) obrázku a vytvoří na něj náhled, který si můžete zobrazit přepnutím zobrazení na Velké ikonky (více o tom viz kapitola Zobrazení).


Definování typů souborů k filtrům

Z menu Nastavení vyberte položku Filtry... nebo stiskněte klávesu F6. V následujícím dial. okně zvolte příslušný filtr a stiskněte tlačítko Přiřadit k souborům.... Zobrazí se toto dialogové okno:

Přidat, kopírovat, odebrat a upravovat masky souborů je možné stisknutím tlačítek Přidat masku..., Kopírovat masku(y)..., Vyjmout masku(y) a Upravit masku....

Při filtrování jednotky jsou masky (=typy souborů) zpracovávány v takovém pořadí, v jakém jsou zde seřazeny. Pořadí je možné měnit tlačítky Posunout nahoru a Posunout dolů.

Tlačítkem Nastavit původní masky se nastaví masky souborů, které filtr standardně podporuje. Pozor, veškeré uživatelem definované masky budou smazány!


Konfigurace filtrů

Z nabídky Nastavení vyberte položku Filtry... nebo stiskněte klávesu F6.

Objeví se dialogové okno, ve kterém vidíte všechny instalované filtry.

Kterýkoliv z filtrů je možné vypnout nezaškrtnutím fajfky před jeho názvem.

Speciální filtr Žádný filtr slouží pouze pro to, aby se určité typy souborů (ke kterým se přiřadí) nefiltrovaly jinými filtry. Např. pokud si přejete, aby se filtrovaly všechny AVI soubory mimo těch, které začínají např. znakem !, zvolte pro soubory "*.avi" AVI fitr a pro soubory "!*.avi" zvolte Žádný filtr.

Také velice záleží na pořadí filtrů. V případě, že máte určitý typ souborů přiřazený více filtrům, soubor se filtruje v pořadí, v jakém jsou filtry seřazeny. Výborný příklad jsou zde AVI soubory. Nejprve bude soubor filtrován AVI Video filtrem a teprve v případě, že filtrování neproběhne úspěšně, bude soubor přefiltrován Video Filtrem. Pořadí filtrů je možné měnit tlačítky Posunout nahoru a Posunout dolů.

Po zvolení některého filtru se zobrazí informace o něm a máte možnost ještě použít tato tlačítka:

O filtru
Zobrazí se informace o tvůrci filtru a k čemu filtr slouží.
Konfigurovat
Zobrazí konfigurační dialogové okno filtru, které upravuje jeho chování.
Přiřadit k souborům
Tímto tlačítkem se otevře dialogové okno, ve kterém je možné upravovat typy souborů, se kterými bude filtr pracovat.


Profily

Z nabídky Nástroje vyberte položku Profily... nebo stiskněte klávesu F7.

Profily slouží k zahrnování souborů a obsahu souborů do databáze. Dialogové okno se skládá ze tří částí. Seznam profilů (1), seznam masek souborů, jejichž obsah chcete do databáze zahrnout (2) a seznam masek souborů, jejichž obsah nechcete do databáze zahrnout (3) - ovšem pouze ze souborů, jejichž masky máte nadefinovány v levém panelu (2).

U každé masky si také můžete nastavit maximální velikost souboru. Tzn. v levém panelu (2) soubory větší, než vámi zadaná maximální velikost, budou na tuto délku zkráceny (to platí pouze při zahrnování obsahu souborů, při zahrnování souborů se soubor nezahrne). V pravém panelu (3) soubory větší, než vámi zadaná velikost, zahrnuty nebudou. Pokud zadáte max. délku 0, budou zahrnuty soubory jakékoliv velikosti (odpovídající zapsané masce).

Příklad:

Přejete-li si zahrnout do databáze obsahy všech souborů s příponou TXT do velikosti 64KB, ale zároveň nechcete zahrnout TXT soubory začínající písmenem "!", uděláte tyto dva kroky. Do levého panelu (2) vložíte masku (pomocí tlačítka přidat) "*.TXT", a vepíšete velikost 65536 (= 64KB). Do pravého panelu (3) vložíte masku "!*.TXT". Vše bez uvozovek.


Volby

Z nabídky Nástroje vyberte položku Volby... nebo stisknete klávesu F11.

Jsou k dispozici tyto záložky:

Záložka zobrazení
Záložka prozkoumávání
Záložka různé

Udělané změny budou vidět pouze u nastavení, které nelze měnit jinde v aplikaci. Změny nebudou vidět tedy u řazení vzestupně/sestupně, řazení podle jména, typu, času, velikosti, zobrazení souborů, složek, archívů, náhledů a zobrazení databázových oken maximalizovaných. Proč? Aby se nezrušilo Vaše nastavení otevřených oken. Veškeré změny však budou aplikovány u každého nového okna.

Některé změny zase vyžadují restart aplikace - změna jazykového modulu na záložce Různé.


Záložka zobrazení

V této záložce si můžete zvolit, podle jakého kritéria se mají soubory či složky třídit, jestli vzestupně či sestupně a jak mají být zobrazovány. Dále si můžete také zvolit, zda se mají zobrazovat složky, archívy nebo vygenerované náhledy na obrázky či videa. Toto nastavení je možné při běhu aplikace kdykoliv změnit v nabídce Zobrazení nebo kliknutím na hlavičkový řádek seznamu, avšak při novém spuštění bude opět nastaveno toto nastavení.

Pokud zobrazení obsahu složky na Vašem počítači trvá déle, než vám vyhovuje, nezaškrtávejte políčko U jmen souborů zobrazovat systémové ikonky a typ. Čas pro zobrazení se tím výrazně sníží.

Dále, v případě, že požadujete přesné udání velikosti místo převodu na KB, MB apod., zaškrtněte políčko Velikosti udávat pouze v bytech.

Pokud byste preferovali zobrazení více databází vedle sebe místo každé databáze maximalizované, nezaškrtávejte políčko Zobrazovat databázová okna maximalizovaná.

Nezobrazovat soubory s hodnocením 5
Zaškrtnete-li tuto možnost, nebudou soubory či složky s ohodnocením 5 vůbec viditelné. Zobrazíte je pouze kdyz tuto možnost vypnete (a pak např. nastavíte jiné ohodnocení).
Otvírat položky seznamu na jedno kliknutí (point to select)
Po aktivování této možnosti budete téměř všechny operace v seznamu souborů, které jste vykonávalí dvojitým kliknutím, realizovat pomocí jednoho kliknutí. Položky se budou pod kurzorem samy označovat a podtrhavat, jakoby šlo o HTML stránku.
Nastavit šířku sloupce "jméno" automaticky, aby se vešla i nejširší položka
Díky této funkci se Vám sloupec "jméno" v seznamu souborů vždy nastaví tak, aby byla všechna jména souborů viditelná celá.


Záložka prozkoumávání

V této záložce si můžete nakonfigurovat rozšířené možnosti prozkoumávání jednotek. Toto nastavení bude používáno při vkládání jednotky do databáze, tj. kdykoliv zvolíte položku Přidat jednotku z nabídky Nástroje.

Před zjišťováním informací o CD z CDDB prohlédnout tento soubor
Při zjišťování názvu hudebního CD je mimo jiné prohlížen soubor cdplayer.ini. Pokud si přejete, aby program prohlížel jiný kompatibilní soubor, můžete zde jeho jméno nastavit. Zde si můžete přečíst, jak celý proces probíhá.
Chcete-li také prohledat lokální CDDB databázi, vložte k ní cestu
Freedb databázi je možné stáhnout z internetu celou, na Váš lokální disk z adresy http://www.freedb.org/. To je výborné proto, že pak již nevyžaduje připojení k internetu. Je možné stáhnout 2 druhy databází: unix a windows. Pro operační systémy Windows, které nemají souborový systém NTFS je nutné, aby databáze měla windows formát z důvodu obrovského množství souborů v unixové verzi (cca 700 000).
Složka dočasných souborů
Pokud Vám nevyhovuje cesta ke složce dočasných souborů, můžete si ji zde změnit. Ta je používána hlavně při extrahování souborů z archivů při prozkoumávání diskové jednotky nebo při otevírání obsahu souborů z databáze aj.
Maximální počet cyklicky opakujících se podadresářů na FTP serveru
Na některých FTP serverech mohou být složky (= adresáře) propojené mezi sebou, což může vést k zacyklení při prozkoumávání. Zde je možné omezit počet průchodů.
Kvalita náhledů
V případě, že filtr při prozkoumávání jednotky vytáhne náhled na nějaký obrázek či video, bude uložen do databáze v této kvalitě. Čím menší kvalita náhledu, tím méně v databázi zabírá. Opakuji, že toto nastavení je použito pouze při prozkoumávání jednotky, ne při prohlížení - prohlíží se totiž již vytvořený náhled v době prozkoumávání. Náhled si můžete zobrazit přepnutím zobrazení na Velké ikonky (více o tom viz kapitola Zobrazení).


Záložka různé

V této záložce si můžete zvolit jazyk, ve kterém s Vámi bude aplikace komunikovat. Nově zvolený jazyk se nastaví až po opětovném spuštění aplikace.

Pokud máte své databáze většinou v jedné a té samé složce, je vhodné vepsat sem její cestu (nebo najít po stisku tlačítka "…"). Při každém otevření databáze bude automaticky nejprve nabízena tato složka, což Vám urychlí hledání databáze, kterou si přejete otevřít.

Přejete-li si, aby databáze, se kterými jste pracovali před tím, než jste aplikaci zavřeli, byly otevřeny při každém dalším spuštění aplikace, zaškrtněte políčko Po spuštění aplikace načíst naposled otevřené databáze.

V případě problémů se zobrazováním textů zaškrtněte políčko Používat standardní font dialogových oken, nebo nainstalujte písmo Tahoma. To s největší pravděpodobností tuto chybu způsobuje, protože v systému chybí.


Informace o systému

Z nabídky Nápověda vyberte položku Informace o systému....

V následujícím okně se dozvíte zajímavé informace o počítači a systému, na kterém pracujete. Pokud naleznete v aplikaci chybu, postupujte podle kapitoly Co dělat v případě problémů s aplikací a přiložte prosím také informace z tohoto dialogového okna.

Informace o CPU berte jen rámcově, aplikace totiž neumí identifikovat všechny, obzvláště nové, typy CPU.


Víte, že...

Z nabídky Nápověda vyberte položku Tip dne….

V následujícím dialogovém okně se dozvíte užitečné tipy pro práci s aplikací. Tlačítkem Další tip se zobrazí další tip. Pro zapnutí či vypnutí tipů při spuštění aplikace slouží políčko Zobrazovat tipy po spuštění aplikace.

  • Hvězdička (*) u jména souboru značí, že má v databázi i svůj obsah. Stačí na něj dvakrát kliknout levým tlačítkem myši a zobrazí se!
  • Tučně zvýrazněná jednotka ve stromu značí, že její struktura je načtena do paměti. Stačí sbalit větve stromu, přejít na jinou jednotku a paměť bude uvolněna.
  • Je více než vhodné databázi pravidelně zálohovat. I přes veškerou naši snahu se může stát (např. výpadek proudu právě při mazání jednotek apod.), že o ni přijdete!
  • Pokud již nemůžete do databáze přidat jednotku, protože je plná, vytvořte úplně novou s větší kapacitou a jednotky z původní databáze do ní jednoduše importujte!
  • Víte, že přidat jednotku do databáze můžete jednoduchým stisknutím klávesy INSERT?
  • Víte, že smazat jednotku z databáze můžete jednoduchým stisknutím klávesy DELETE?
  • Víte, že obsah souboru (pokud je v databázi zahrnut) je možné uložit do souboru na disk? Stačí na soubor kliknout pravým tlačítkem myši a zvolit z kontextového menu "Uložit obsah souboru do..."
  • Víte, že kontakt na nás je support@tjelinek.com ?
  • Víte, že nejnovější verzi aplikace si můžete kdykoliv stáhnout z adresy http://www.diskexplorerpro.com ?
  • Víte, že obsahy souborů zahrnuté do databáze jsou komprimované, aby databáze byla co nejmenší?
  • Víte, že v informacích o databázi či jednotce zjistíte všechno, co jste kdy chtěli vědět, ale báli jste se zeptat?
  • Víte, že pokud máte nějaké problémy s aplikací nebo nápady na její vylepšení, můžete nám napsat e-mail na adresu support@tjelinek.com ?
  • Víte, že není dobré si vytvořit databázi na disketě? Přístup k ní je pomalý. Doporučujeme si vytvořit databázi na pevném disku a na disketu ji následně zkopírovat.
  • Víte, že Profily slouží k definování souborů (nebo jejich masky), jejichž obsah bude zahrnut do databáze?
  • Víte, že když nastavíte databázi "pouze ke čtení", nemusíte se bát, že byste omylem něco smazali?
  • Pokud je doba načítání obsahu složky nesnesitelně dlouhá, můžete ji opravdu výrazně snížit vypnutím "Zobrazování systémových ikonek u souborů" v nastavení aplikace.
  • Pokud se cesta ke zdrojové jednotce od doby, kdy jste ji vytvářeli, změnila, můžete si novou cestu dodefinovat pomocí dialogového okna "Další zdrojové cesty k jednotce"?
  • Víte, že filtry slouží k "přefiltrování" obsahu souboru tak, že např. z MP3 souboru zjistí bitrate, název písničky, alba apod...? Tyto informace se po té zobrazují shrnuté ve sloupci Komentář, podrobně v dialogovém okně po stisknutí klávesy F8 na příslušném souboru.
  • Víte, že filtry slouží k "přefiltrování" obsahu souboru tak, že např. z Video souboru zjistí délku, počet snímků za vteřinu apod... a vytvoří náhled? Grafický náhled uvidíte v zobrazení "Velké ikony".
  • Víte, že si můžete přiřadit k jakémukoliv souboru filtr? K tomu slouží dialogové okno Filtry?
  • Víte, že data vytvořené filtry jsou komprimované, aby vaše databáze byla co nejmenší?
  • Víte, že náhledy na obrázky či videa, které máte v databázi, zobrazíte v režimu zobrazování "Velké ikony"?
  • Pokud si přejete, aby velikost vaší databáze byla co nejmenší, nepoužívejte obrázkový a video filtr. Každý grafický náhled totiž může zabírat i několik KB. Stejně tak nezahrnujte obsahy souborů.
  • Pokud je vaše databáze moc velká, je tu možnost smazat s ní veškeré náhledy nebo zahrnuté obsahy souborů apod. Zvolte z menu Soubor položku Export a v posledním dial. okně zatrhněte příslušnou možnost.
  • Víte, že si můžete uložit náhled na obrázek z databáze na disk? Označte soubor a stiskněte pravé tlačítko myši. Z kontextového menu si vyberte položku "Uložit náhled z databáze do...".
  • Víte, že si můžete uložit seznam soborů z databáze na disk? Označte si soubory, ze kterých si přejete vytvořit seznam, a stiskněte pravé tlačítko myši. Z kontextového menu si vyberte položku "Uložit seznam zvolených souborů do...".
  • Víte, že si můžete do databáze zahrnout také obsah FTP serveru? Stiskněte klávesu INSERT a zvolte prohledávat FTP server.
  • Pokud si přejete, aby se filtrovaly všechny AVI soubory mimo těch, které začínají např. znakem '!', zvolte pro soubory "*.avi" AVI fitr a pro soubory "!*.avi" zvolte Žádný filtr.
  • Víte, že s databází či jen určitou jednotkou můžete pracovat i v tabulkových procesorech, jako jsou Microsoft Excel nebo Corel Quattro Pro? Stačí vyexportovat jednotku speciálním exportem a vytvořený soubor otevřít v některém z tabulkových procesorů.
  • Víte, že většinu oken můžete zvětšit tak, že chytnete myší pravý dolní roh a odtáhnete ho na požadovanou pozici?


Objednání licence aplikace

Tento software jste oprávněni používat pro osobní nekomerční použití bez poplatku. Použití v komerčním, vzdělávacím nebo státním prostředí je zpoplatněno licenčním poplatkem, kde pro každý počítač nebo server, na kterém budete Disk Explorer Professional používat, je nutné zakoupit licenci. Servisní a další služby Tomáše Jelínka jsou k dispozici pouze po zaplacení licenčního poplatku.

Pro zákazníky z České republiky

Aplikaci lze objednat přes on-line WWW formulář nebo posláním objednávky (e-mailem, faxem nebo listovním dopisem), kde uvedete své jméno (popř. název organizace, IČO, DIČ), Vaší adresu, Váš e-mail anebo telefon, počet licencí a celkovou částku. V takovém případě Vám zašleme dopis na dobírku, který bude obsahovat registrační jméno, registrační číslo a fakturu.

Platbu můžete provést také převodem - v takovém případě vám zašleme potřebné informace na požádání.

Zde je kontakt na nás.

Objednávku si můžete (po klepnutí na ní levým tlačítkem myši) zkopírovat do paměti počítače stisknutím kombinace kláves Ctrl+A a následně Ctrl+C. Poté takto zkopírovaný text můžete vložit do nějakého textového editoru jako např. Poznámkový blok nebo Wordpad stisknutím kombinace kláves Ctrl+V.

Pro zákazníky ze Slovenska

Aplikaci si mužete objednat u spolecnosti AVIR - http://www.avir.sk/.

Kontakt:

  • Ing. Peter Hubinský info@avir.sk
  • Tel.: 0905 / 859 812
  • Fax: 033 / 640 18 95


Cena

Tento software jste oprávněni používat pro osobní nekomerční použití bez poplatku. Použití v komerčním, vzdělávacím nebo státním prostředí je zpoplatněno licenčním poplatkem, kde pro každý počítač nebo server, na kterém budete Disk Explorer Professional používat, je nutné zakoupit licenci. Servisní a další služby Tomáše Jelínka jsou k dispozici pouze po zaplacení licenčního poplatku.

Pro zákazníky z České republiky

Cena za poskytnutí 1 licence k používání aplikace je 490,- Kč.

Při multilicencích je poskytována sleva.

Ceny multilicencí:

Počet licencí | Cena
2 licence | 441,- Kč za každou
3-5 licencí | 397,- Kč za každou
6-10 licencí | 357,- Kč za každou
11-25 licencí | 321,- Kč za každou
26-50 licencí | 289,- Kč za každou
51-100 licencí | 260,- Kč za každou
101-250 licencí | 234,- Kč za každou
251 a více licencí | 211,- Kč za každou

Všechny ceny jsou uvedeny bez 19% DPH.

K výsledné ceně přičtěte poštovné, které činí 60,- Kč.

Pro zákazníky ze Slovenska

Aplikaci si mužete objednat u spolecnosti AVIR - http://www.avir.sk/.

Kontakt:

  • Ing. Peter Hubinský info@avir.sk
  • Tel.: 0905 / 859 812
  • Fax: 033 / 640 18 95


Vložení registračního čísla

Z nabídky Nápověda vyberte položku Registrace…

Do dialogového okna vepište své jméno, jméno společnosti (nebo nechte prázdné, pokud je licence pouze na osobu) a registrační číslo. Dbejte na to, aby vše souhlasilo s informacemi od nás zaslanými, včetně velkých a malých písmen!! Po stisknutí tlačítka OK bude aplikace zaregistrována.


Platnost registrace

Registrace je zatím platná nejen pro aktuální verzi aplikace, ale též pro všechny verze následující. Avšak Tomáš Jelínek si vyhrazuje právo poskytovat jakékoliv budoucí verze Disk Explorer Professional na základě změněných nebo zcela nových licenčních podmínek.


Wildcards

Znaky Wildcards jsou hvězdička (*) a otazník (?) .

Tyto znaky umožňují specifikovat soubory tak, že hvězdička zastupuje jakoukoliv sekvenci znaků, otazník pouze jeden znak.

Např.

  • "*.txt" vyhledá všechny soubory s příponou ".txt"
  • "?ext*.*" vyhledá všechny soubory mající na začátku libovolný znak, po kterém následuje řetězec "ext" následovaný jakýmkoliv řetězcem a zakončený libovolnou příponou - např. soubor jako IEXTRACT.EXE apod.


                       Objednávka pro zákazníky z České republiky
                       ==========================================

                       ZÁVAZNĚ OBJEDNÁVÁM

                       Disk Explorer Professional 3
                       Copyright (c) 1999-2005 Tomáš Jelínek

----------------------------------------------------------------------------------

    Jméno a příjmení: .....................................................

    Společnost:       .....................................................

    IČO:              .....................................................

    DIČ:              .....................................................

    Adresa:           .....................................................

    Město a PSČ:      .....................................................

    E-mail:           .....................................................

    Telefon:          .....................................................

    Počet licencí:    .....................................................

    Způsob platby:    dobírkou nebo bank. převodem? .......................

    Při platbě bank. převodem Vám budou zaslány e-mailem veškeré nutné
    údaje jako je číslo našeho konta a var. symbol. Po zaplacení Vám
    zašleme dopis obsahující fakturu a registrační číslo. V tomto případě
    Vám nebude účtováno poštovné.

    Pokud si aplikaci objednáte na dobírku, bude Vám zaslán dopis obsahující
    fakturu a registrační číslo. Bude Vám však účtováno poštovné 60,- Kč.

    Celková částka včetně 19% DPH a příp. poštovného: .....................
    (cena x 1.19 [+ 60 při objednávce na dobírku])

    Objednávku prosím zašlete na adresu support@tjelinek.com nebo
    faxem na tel. číslo 272 913 432.

----------------------------------------------------------------------------------
Ceny licencí:

Cena za poskytnutí 1 licence k používání aplikace je 490,- Kč.
Při multilicencích je poskytována sleva.

Ceny multilicencí
==================
Počet licencí					Cena
2 licence					441,- Kč za každou
3-5 licencí					397,- Kč za každou
6-10 licencí					357,- Kč za každou
11-25 licencí					321,- Kč za každou
26-50 licencí					289,- Kč za každou
51-100 licencí					260,- Kč za každou
101-250 licencí					234,- Kč za každou
251-500 licencí					211,- Kč za každou
501 a více licencí				190,- Kč za každou

Všechny ceny jsou uvedeny bez 5% DPH.

K výsledné ceně přičtěte poštovné, které činí 60,- Kč.

Pro zákazníky ze Slovenska
==========================
Aplikaci si mužete objednat u spolecnosti AVIR - http://www.avir.sk/.

Kontakt:

Ing. Peter Hubinský info@avir.sk
Tel.: 0905 / 859 812
Fax: 033 / 640 18 95